Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.amp.escape.amf.ide
Class EscapeModelStyles3DBuilder

    java.lang.Object
      IncrementalProjectBuilder
          org.eclipse.amp.amf.gen.ide.AbstractMWEBuilder
              org.eclipse.amp.amf.gen.ide.MetaABMBuilder
                  org.eclipse.amp.escape.amf.ide.EscapeModelStyles3DBuilder

    public class EscapeModelStyles3DBuilder

extends MetaABMBuilder

Field Summary
`static java.lang.String` | `ESCAPE_BUILDER_3D_ID`
`private static MetaABMBuilder` | `escapeBuilder`

Fields inherited from class org.eclipse.amp.amf.gen.ide.MetaABMBuilder
`BUILDER_ID`

Fields inherited from class org.eclipse.amp.amf.gen.ide.AbstractMWEBuilder
`builder, currentMonitor, workflowPath`

Constructor Summary
`EscapeModelStyles3DBuilder()`

Method Summary
`static MetaABMBuilder` | `getEscapeBuilderDefault()` Returns the shared instance
`void` | `loadPlugins()`

Methods inherited from class org.eclipse.amp.amf.gen.ide.MetaABMBuilder
`getBaseBuilderDefault, isCreateMarkers, loadPropertiesFromPrefs, loadPropertiesFromResource, setCreateMarkers`

Methods inherited from class org.eclipse.amp.amf.gen.ide.AbstractMWEBuilder
`addURL, build, fullBuild, generateModel, getGenProperties, getResourceLoader, getWorkflowPath, handleModifiedResource, incrementalBuild, isReportErrors, setCurrentMonitor, setGenProperties, setReportErrors, setWorkflowPath`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ESCAPE_BUILDER_3D_ID

    public static final java.lang.String ESCAPE_BUILDER_3D_ID

See Also:
  Constant Field Values

### escapeBuilder

    private static MetaABMBuilder escapeBuilder

Constructor Detail

### EscapeModelStyles3DBuilder

    public EscapeModelStyles3DBuilder()

Method Detail

### loadPlugins

    public void loadPlugins()

  Overrides:
    `loadPlugins` in class `MetaABMBuilder`

### getEscapeBuilderDefault

    public static MetaABMBuilder getEscapeBuilderDefault()

  Returns the shared instance

  Returns:
    the shared instance

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) 2007-2009 Metascape, LLC, 2009 Miles Parker, 2006-2007 Argonne National Labs, and Contributors